# CSSRuleList : Object
Return to: HTML DOM Level 2 index

Array of CSS rules.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | 9.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
CSSRuleList Constructor() : CSSRuleList Array of CSS rules. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

### CSSRuleList() : CSSRuleList

Array of CSS rules.

Returns

CSSRuleList |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
length : Number Number of CSS rules in the CSS rule list. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
static item(Number index) : CSSRule Returns the CSSRule object from the specified position. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

Parameters

Number | index | Index of the CSS rule to return.

Returns

CSSRule |

Availability

  HTML DOM Level 2|W3C

For examples, see the quirksmode test page:

http://www.quirksmode.org/dom/tests/item.html

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs